Skip to main content
GET
/
futures
/
odds
/
historical
Future Odds Historical
curl --request GET \
  --url 'https://v5.oddspapi.io/en/futures/odds/historical?apiKey='
{
  "futureId": "pm6980037088158379224",
  "odds": {
    "polymarket": {
      "pm6980037088158379224:polymarket:5432": {
        "1776000000000": {
          "bookmaker": "polymarket",
          "participantId": 5432,
          "price": 3.2,
          "active": true,
          "changedAt": 1776000000000
        },
        "1776667000000": {
          "bookmaker": "polymarket",
          "participantId": 5432,
          "price": 3.8,
          "active": true,
          "changedAt": 1776667000000
        }
      }
    }
  },
  "bookmakers": {
    "polymarket": {
      "bookmaker": "polymarket",
      "bookmakerFutureId": "16263",
      "participantsRotated": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.oddspapi.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Your API key (query-based auth for v5).

Query Parameters

futureId
string
required

Single future ID (e.g. id11000132131631).

bookmakers
string | null

Comma/space-separated bookmaker slugs. RULE: If oddsIds is NOT provided, you must pass exactly ONE bookmaker.

oddsIds
string | null

Optional: comma/space-separated oddsIds to restrict the response.

Response

Returns FutureOddsHistoricalResponse

The response is of type object.